Package org.lwjgl.opengl

# Class ARBClearTexture

java.lang.Object
org.lwjgl.opengl.ARBClearTexture

public final class ARBClearTexture extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CLEAR_TEXTURE`
Accepted by the <pname> parameter for GetInternalformativ and GetInternalformati64v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glClearTexImage(int texture, int level, int format, int type, ByteBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, DoubleBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, FloatBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, IntBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, LongBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, ShortBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, LongBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_CLEAR_TEXTURE

public static final int GL_CLEAR_TEXTURE
Accepted by the <pname> parameter for GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

## Method Details

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, ByteBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, DoubleBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, FloatBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, IntBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, ShortBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, LongBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, LongBuffer data)